Package org.apache.lucene.analysis.fa

## Class PersianStemmer

- java.lang.Object
- - org.apache.lucene.analysis.fa.PersianStemmer

-     public class PersianStemmer
      extends Object

  Stemmer for Persian.

  Stemming is done in-place for efficiency, operating on a termbuffer.

  Stemming is defined as:

  - Removal of attached definite article, conjunction, and prepositions.
  - Stemming of common suffixes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PersianStemmer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `stem​(char[] s, int len)` | Stem an input buffer of Persian text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersianStemmer

          public PersianStemmer()

  - ### Method Detail

    - #### stem

          public int stem​(char[] s,
                          int len)

      Stem an input buffer of Persian text.
      Parameters:
        `s` - input buffer
        `len` - length of input buffer
      Returns:
        length of input buffer after normalization